Bug 186337 - [MAINTAINER] editors/gummi: support STAGEDIR
Summary: [MAINTAINER] editors/gummi: support STAGEDIR
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-01 12:40 UTC by nukama
Modified: 2014-04-04 23:20 UTC (History)
0 users

See Also:


Attachments
file.diff (3.47 KB, patch)
2014-02-01 12:40 UTC, nukama
no flags Details | Diff
gummi.diff (3.25 KB, patch)
2014-02-02 22:24 UTC, nukama
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nukama 2014-02-01 12:40:01 UTC
- STAGEify
- OPTION_DEPENDify

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-02-01 12:40:19 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-02-01 12:40:20 UTC
Maintainer of editors/gummi,

Please note that PR ports/186337 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186337

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-02-01 12:40:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 nukama 2014-02-02 22:24:30 UTC
On Sat, Feb 1, 2014 at 12:40 PM,  <edwin@freebsd.org> wrote:
> Synopsis: editors/gummi add STAGE support
>
> State-Changed-From-To: open->feedback
> State-Changed-By: edwin
> State-Changed-When: Sat Feb 1 12:40:21 UTC 2014
> State-Changed-Why:
> Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=186337

Added svn diff.
Comment 5 Rusmir Dusko freebsd_committer 2014-02-03 17:06:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

I'll take it.
Comment 6 Rusmir Dusko freebsd_committer 2014-02-03 17:07:05 UTC
Class Changed
From-To: change-request->maintainer-update

Change to [MAINTAINER] and maintainer-update
Comment 7 Rusmir Dusko freebsd_committer 2014-02-03 17:13:15 UTC
State Changed
From-To: feedback->open

Is Maintainer
Comment 8 Rusmir Dusko freebsd_committer 2014-03-03 11:45:29 UTC
Responsible Changed
From-To: nemysis->freebsd-ports-bugs

Give back to pool, Port is not usable.
Comment 9 dfilter service freebsd_committer 2014-04-04 23:15:21 UTC
Author: rene
Date: Fri Apr  4 22:15:16 2014
New Revision: 350173
URL: http://svnweb.freebsd.org/changeset/ports/350173
QAT: https://qat.redports.org/buildarchive/r350173/

Log:
  - Stage support [1]
  - Use option helpers [1]
  - Deprecate, resulting software is unusable
  
  PR:		ports/186337 [1]
  Submitted by:	maintainer

Modified:
  head/editors/gummi/Makefile
  head/editors/gummi/pkg-plist

Modified: head/editors/gummi/Makefile
==============================================================================
--- head/editors/gummi/Makefile	Fri Apr  4 22:13:44 2014	(r350172)
+++ head/editors/gummi/Makefile	Fri Apr  4 22:15:16 2014	(r350173)
@@ -1,64 +1,52 @@
-# Created by: Hakisho Nukama <Nukama@gmail.com>
+# Created by: Hakisho Nukama <nukama@gmail.com>
 # $FreeBSD$
 
-PORTNAME=	gummi
-PORTVERSION=	0.6.5
-PORTREVISION=	1
-CATEGORIES=	editors
-MASTER_SITES=	http://dev.midnightcoding.org/attachments/download/301/
-
-MAINTAINER=	nukama+maintainer@gmail.com
-COMMENT=	Simple LaTex editor for GTK users
-
-LICENSE=	MIT
-
-BUILD_DEPENDS+=	msgfmt:${PORTSDIR}/devel/gettext
-LIB_DEPENDS+=	libpoppler-glib.so:${PORTSDIR}/graphics/poppler-glib \
-		gtkspell:${PORTSDIR}/textproc/gtkspell
-
-USES=		iconv gmake pkgconfig
-GNU_CONFIGURE=	yes
-USE_XORG=	xdamage xft xcursor xcomposite
-USE_GNOME=	desktopfileutils gtksourceview2 glib20 intlhack
-INSTALLS_ICONS=	yes
-INSTALLS_OMF=	yes
+PORTNAME=		gummi
+PORTVERSION=		0.6.5
+PORTREVISION=		1
+CATEGORIES=		editors
+MASTER_SITES=		http://dev.midnightcoding.org/attachments/download/301/
+
+MAINTAINER=		nukama+maintainer@gmail.com
+COMMENT=		Simple LaTex editor for GTK users
+
+DEPRECATED=		Builds fine but the program itself is unusable
+EXPIRATION_DATE=	2014-07-01
+
+LICENSE=		MIT
+
+BUILD_DEPENDS+=		msgfmt:${PORTSDIR}/devel/gettext
+LIB_DEPENDS+=		libpoppler-glib.so:${PORTSDIR}/graphics/poppler-glib \
+			libgtkspell.so:${PORTSDIR}/textproc/gtkspell
+
+USES=			iconv gmake pkgconfig desktop-file-utils
+GNU_CONFIGURE=		yes
+USE_XORG=		xdamage xft xcursor xcomposite
+USE_GNOME=		gtksourceview2 glib20 intlhack
+INSTALLS_ICONS=		yes
+INSTALLS_OMF=		yes
 
-MAN1=		gummi.1
-
-OPTIONS_DEFINE=	TETEX LATEXMK RUBBER TEXCOUNT
+OPTIONS_DEFINE=		TETEX LATEXMK RUBBER TEXCOUNT
 OPTIONS_DEFAULT=	TETEX
 
-TETEX_DESC=	Use pdfetex typesetter
-LATEXMK_DESC=	Use latexmk typesetter
-RUBBER_DESC=	Use rubber typesetter
-TEXCOUNT_DESC=	With texcount statistics
-
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MNLS}
-USES+=		gettext
-CONFIGURE_ARGS+=	--enable-nls
-PLIST_SUB+=	NLS=""
-.else
+TETEX_DESC=		Use pdfetex typesetter
+LATEXMK_DESC=		Use latexmk typesetter
+RUBBER_DESC=		Use rubber typesetter
+TEXCOUNT_DESC=		With texcount statistics
+
 CONFIGURE_ARGS+=	--disable-nls
-PLIST_SUB+=	NLS="@comment "
-.endif
+PLIST_SUB+=		NLS="@comment "
+
+NLS_USES+=		gettext
+NLS_CONFIGURE_ARGS+=	--enable-nls
+NLS_PLIST_SUB+=		NLS=""
+
+TETEX_RUN_DEPENDS=	pdfetex:${PORTSDIR}/print/teTeX-base
+
+LATEXMK_RUN_DEPENDS=	latexmk:${PORTSDIR}/print/latexmk
+
+RUBBER_RUN_DEPENDS=	rubber:${PORTSDIR}/textproc/rubber
 
-.if ${PORT_OPTIONS:MTETEX}
-RUN_DEPENDS+=	pdfetex:${PORTSDIR}/print/teTeX-base
-.endif
-
-.if ${PORT_OPTIONS:MLATEXMK}
-RUN_DEPENDS+=	latexmk:${PORTSDIR}/print/latexmk
-.endif
-
-.if ${PORT_OPTIONS:MRUBBER}
-RUN_DEPENDS+=	rubber:${PORTSDIR}/textproc/rubber
-.endif
-
-.if ${PORT_OPTIONS:MTEXCOUNT}
-RUN_DEPENDS+=	${LOCALBASE}/bin/texcount.${PORTVERSION}:${PORTSDIR}/texproc/p5-texcount
-.endif
+TEXCOUNT_RUN_DEPENDS=	${LOCALBASE}/bin/texcount.${PORTVERSION}:${PORTSDIR}/texproc/p5-texcount
 
 .include <bsd.port.mk>

Modified: head/editors/gummi/pkg-plist
==============================================================================
--- head/editors/gummi/pkg-plist	Fri Apr  4 22:13:44 2014	(r350172)
+++ head/editors/gummi/pkg-plist	Fri Apr  4 22:15:16 2014	(r350173)
@@ -2,6 +2,7 @@ bin/gummi
 share/applications/gummi.desktop
 share/pixmaps/gummi.png
 lib/gummi/latex_dvi.sh
+man/man1/gummi.1.gz
 %%DATADIR%%/ui/snippets.glade
 %%DATADIR%%/ui/gummi.glade
 %%DATADIR%%/ui/prefs.glade
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Rene Ladan freebsd_committer 2014-04-04 23:15:27 UTC
State Changed
From-To: open->closed

Committed, but the program itself is unusable so expiring in 3 months 


Comment 11 Rene Ladan freebsd_committer 2014-04-04 23:15:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Committed, but the program itself is unusable so expiring in 3 months